# coding: utf-8

"""
    ThorNode Query API

    ThorNode Query API  # noqa: E501

    OpenAPI spec version: 1.0.0-oas3
    Contact: zheye@umich.edu
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ThorchainBooleanConstants(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'strict_bond_stake_ratio': 'bool'
    }

    attribute_map = {
        'strict_bond_stake_ratio': 'StrictBondStakeRatio'
    }

    def __init__(self, strict_bond_stake_ratio=None):  # noqa: E501
        """ThorchainBooleanConstants - a model defined in Swagger"""  # noqa: E501
        self._strict_bond_stake_ratio = None
        self.discriminator = None
        if strict_bond_stake_ratio is not None:
            self.strict_bond_stake_ratio = strict_bond_stake_ratio

    @property
    def strict_bond_stake_ratio(self):
        """Gets the strict_bond_stake_ratio of this ThorchainBooleanConstants.  # noqa: E501


        :return: The strict_bond_stake_ratio of this ThorchainBooleanConstants.  # noqa: E501
        :rtype: bool
        """
        return self._strict_bond_stake_ratio

    @strict_bond_stake_ratio.setter
    def strict_bond_stake_ratio(self, strict_bond_stake_ratio):
        """Sets the strict_bond_stake_ratio of this ThorchainBooleanConstants.


        :param strict_bond_stake_ratio: The strict_bond_stake_ratio of this ThorchainBooleanConstants.  # noqa: E501
        :type: bool
        """

        self._strict_bond_stake_ratio = strict_bond_stake_ratio

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ThorchainBooleanConstants, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ThorchainBooleanConstants):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
